<?php
	$HTML->setHTMLTitle("Online Anzeige");
	$HTML->importSeitenInhalt("pages/HTML/online-anzeige.html");

    if(@$_REQUEST['action'] == 'remove' && @$_REQUEST['uuid'] != '')
    {
        $statementMembership = $RUNTIME['PDO']->prepare("DELETE FROM Friends WHERE Friend = ? AND PrincipalID = ?");
        $statementMembership->execute(array($_REQUEST['uuid'], $_SESSION['UUID'])); 

        $statementMembership = $RUNTIME['PDO']->prepare("DELETE FROM Friends WHERE PrincipalID = ? AND Friend = ?");
        $statementMembership->execute(array($_REQUEST['uuid'], $_SESSION['UUID'])); 
    }

    $table = '<table class="table"><thead><tr><th scope="col">Name</th><th scope="col">Optionen</th></thead><tbody>%%ENTRY%%</tbody></table>';
    
    $statement = $RUNTIME['PDO']->prepare("SELECT * FROM Friends WHERE PrincipalID = ? ORDER BY Friend ASC");
    $statement->execute([$_SESSION['UUID']]); 

    while($row = $statement->fetch()) 
    {
        $PrincipalID = explode(";", $row['PrincipalID'])[0];
        $FriendData = explode(";", $row['Friend']);
        $Friend = $FriendData[0];

        $entry = '<tr><td>'.trim($RUNTIME['OPENSIM']->getUserName($Friend)).'</td><td><a href="index.php?page=friends&action=remove&uuid='.$row['Friend'].'">LÖSCHEN</a></td></tr>';

        if(count($FriendData) > 1)
        {
            $FriendData[1] = str_replace("http://", "", $FriendData[1]);
            $FriendData[1] = str_replace("https://", "", $FriendData[1]);
            $FriendData[1] = str_replace("/", "", $FriendData[1]);
            $entry = '<tr><td>'.trim($RUNTIME['OPENSIM']->getUserName($Friend)).' @ '.strtolower($FriendData[1]).'</td><td><a href="index.php?page=friends&action=remove&uuid='.$row['Friend'].'">LÖSCHEN</a></td></tr>';

        }

        $table = str_replace("%%ENTRY%%", $entry."%%ENTRY%%", $table);
    }

    $table = str_replace("%%ENTRY%%", "", $table);
    $HTML->ReplaceSeitenInhalt("%%ONLINE-LIST%%", $table);

    $HTML->build();
    echo $HTML->ausgabe();
?>